
namespace Hitsuji.Dao.DaoEssences
{
    public interface IDaoEssence
    {
        void setConnectionText(string text);
        
        bool getConnection();
        bool openConnection();
        bool closeConnection();
        bool beginTransaction();
        bool commit();
        bool rollback();
        void setSql(string sql);
        void addParam(string key, string value);
        int postUpdate(object param, bool debugSql);
        object postSelect(object param, bool debugSql);
    }
}
